<?php
/** 
*
* @package phpBB3
* @version $Id: install_mod.php, v1.0.0 2010-01-02 Dakin Quelia $
* @copyright (c) 2005 phpBB Group 
* @license http://opensource.org/licenses/gpl-license.php GNU Public License 
*
*/

/**
* @ignore
*/
define('IN_PHPBB', true);
$phpbb_root_path = './';
$phpEx = substr(strrchr(__FILE__, '.'), 1);
include($phpbb_root_path . 'common.' . $phpEx);
include($phpbb_root_path . 'includes/acp/auth.' . $phpEx);
include($phpbb_root_path . 'includes/db/db_tools.' . $phpEx);

// Start session management
$user->session_begin();
$auth->acl($user->data);
$user->setup();

// only admins or founders can install topic descriptions
if (!$auth->acl_get('a_') && !$user->data['user_type'] != USER_FOUNDER)
{
	trigger_error($user->lang['NOT_AUTHORISED']);
}

$auth_admin = new auth_admin();

// Add local permission for describe topics
$auth_admin->acl_add_option(array(
    'global'        => array('m_viewmcp')
));

$roles = array('ROLE_MOD_FULL');

foreach ($roles as $role_name)
{
	update_role_permissions('grant', $role_name, array('m_viewmcp'), ACL_YES);
}

$return = sprintf($user->lang['RETURN_INDEX'], '<a href="' . append_sid("{$phpbb_root_path}index.$phpEx") . '">', '</a>');
trigger_error('The new moderator permission is now installed. Please delete this file from your FTP.<br /><br />' . $return);

?>